@book{siciliano2016springer,
    title = {Springer Handbook of Robotics},
    author = {Siciliano, Bruno and Khatib, Oussama},
    year = {2016},
    publisher = {Springer},
    address = {Berlin, Heidelberg},
}

@book{dudek2010computational,
    title = {Computational Principles of Mobile Robotics},
    author = {Dudek, Gregory and Jenkin, Michael},
    year = {2010},
    publisher = {Cambridge University Press},
    address = {Cambridge},
}

@book{corke2017robotics,
    title = {Robotics, Vision and Control: Fundamental Algorithms in MATLAB},
    author = {Corke, Peter},
    year = {2017},
    publisher = {Springer},
    address = {Berlin, Heidelberg},
}

@book{arkin1998behavior,
    title = {Behavior-Based Robotics},
    author = {Arkin, Ronald C.},
    year = {1998},
    publisher = {MIT Press},
    address = {Cambridge, MA},
}

@book{thrun2005probabilistic,
    title = {Probabilistic Robotics},
    author = {Thrun, Sebastian and Burgard, Wolfram and Fox, Dieter},
    year = {2005},
    publisher = {MIT Press},
    address = {Cambridge, MA},
}

@article{parker2008distributed,
    title = {Distributed Intelligence: Overview of the Field and Its Application
             in Multi-Robot Systems},
    author = {Parker, Lynne E.},
    journal = {Journal of Physical Agents},
    volume = {2},
    number = {1},
    pages = {5--14},
    year = {2008},
}

@article{yim2019modular,
    title = {Modular Self-Reconfigurable Robot Systems [Grand Challenges of
             Robotics]},
    author = {Yim, Mark and Shen, Wei-Min and Salda{\~n}a, David and Asadpour,
              Masoud},
    journal = {IEEE Robotics \& Automation Magazine},
    volume = {26},
    number = {4},
    pages = {22--30},
    year = {2019},
}

@book{lavalle2006planning,
    title = {Planning Algorithms},
    author = {LaValle, Steven M.},
    year = {2006},
    publisher = {Cambridge University Press},
    address = {Cambridge},
}

@inproceedings{fukuda1987dynamically,
    title = {Dynamically Reconfigurable Robotic System},
    author = {Fukuda, Toshio and Nakagawa, S.},
    booktitle = {Proceedings of the IEEE International Conference on Robotics
                 and Automation},
    pages = {1581--1586},
    year = {1987},
}

@book{jennings1998agent,
    title = {Agent Technology: Foundations, Applications, and Markets},
    author = {Jennings, Nicholas R. and Wooldridge, Michael},
    year = {1998},
    publisher = {Springer},
    address = {Berlin, Heidelberg},
}

@article{alami1998architecture,
    title = {An Architecture for Autonomy},
    author = {Alami, Rachid and Chatila, Raja and Fleury, Sylvain and Ghallab,
              Malik and Ingrand, Fran{\c{c}}ois},
    journal = {The International Journal of Robotics Research},
    volume = {17},
    number = {4},
    pages = {315--337},
    year = {1998},
}

@inproceedings{kalra2005hoplite,
    title = {Hoplite: A Market-Based Framework for Planned Tight Coordination in
             Multirobot Teams},
    author = {Kalra, Nidhi and Ferguson, Dave and Stentz, Anthony},
    booktitle = {Proceedings of the IEEE International Conference on Robotics
                 and Automation},
    pages = {1170--1176},
    year = {2005},
}

@article{brooks1991intelligence,
    title = {Intelligence Without Representation},
    author = {Brooks, Rodney A.},
    journal = {Artificial Intelligence},
    volume = {47},
    number = {1--3},
    pages = {139--159},
    year = {1991},
}

@article{bellingham2007robotics,
    title = {Robotics in Remote and Hostile Environments},
    author = {Bellingham, James G. and Rajan, Kanna},
    journal = {Science},
    volume = {318},
    number = {5853},
    pages = {1098--1102},
    year = {2007},
}

@article{moore2010supervisory,
    title = {Supervisory Control of Multiple Robots},
    author = {Moore, John and Gloss, Stephen},
    journal = {IEEE Transactions on Systems, Man, and Cybernetics - Part C:
               Applications and Reviews},
    volume = {40},
    number = {1},
    pages = {35--44},
    year = {2010},
}

@article{2020:ARControl:Feng:CollaborativeRoboticManipulation,
    title = {An overview of collaborative robotic manipulation in multi-robot
             systems},
    journal = {Annual Reviews in Control},
    volume = {49},
    pages = {113-127},
    year = {2020},
    issn = {1367-5788},
    doi = {https://doi.org/10.1016/j.arcontrol.2020.02.002},
    url = {https://www.sciencedirect.com/science/article/pii/S1367578820300043},
    author = {Zhi Feng and Guoqiang Hu and Yajuan Sun and Jeffrey Soon},
    keywords = {Robotic manipulation, Distributed coordination, Multi-robot
                system , Mobile manipulator, Swarming behavior},
    abstract = {Robotic manipulation aims at combining the versatility and
                flexibility of mobile robot platforms with manipulation
                capabilities of robot manipulators. This survey paper
                comprehensively reviews the state-of-the-art development of
                collaborative robotic manipulation from the perspective of
                modelling, control and optimization. Then, the recent results in
                this field can be categorized into coordination of multiple fixed
                manipulators, mobile robots and mobile manipulators,
                respectively. A classification and comparison of various issues
                and promising approaches is given. Finally, a short discussion
                section is given to summarize existing research and to point out
                several future research directions.},
}

@article{2018:Automatica:Zhou:RobustControlMultiRobotSystems,
    title = {A distributed approach to robust control of multi-robot systems},
    journal = {Automatica},
    volume = {98},
    pages = {1-13},
    year = {2018},
    issn = {0005-1098},
    doi = {https://doi.org/10.1016/j.automatica.2018.08.022},
    url = {https://www.sciencedirect.com/science/article/pii/S0005109818304217},
    author = {Yuan Zhou and Hesuan Hu and Yang Liu and Shang-Wei Lin and Zuohua
              Ding},
    keywords = {Autonomous robots, Discrete-event systems, Motion control,
                Robust control, Distributed control},
    abstract = {Motion planning of multi-robot systems has been extensively
                investigated. Many proposed approaches assume that all robots are
                reliable. However, robots with priori known levels of reliability
                may be used in applications to account for: (1) the cost in terms
                of unit price per robot type, and (2) the cost in terms of robot
                wear in long term deployment. In the former case, higher
                reliability comes at a higher price, while in the latter
                replacement may cost more than periodic repairs, e.g., buses,
                trams, and subways. In this study, we investigate robust control
                of multi-robot systems, such that the number of robots affected
                by the failed ones is minimized. It should mandate that the
                failure of a robot can only affect the motion of robots that
                collide directly with the failed one. We assume that the robots
                in a system are divided into reliable and unreliable ones, and
                each robot has a predetermined and closed path to execute
                persistent tasks. By modeling each robot’s motion as a labeled
                transition system, we propose two distributed robust control
                algorithms: one for reliable robots and the other for unreliable
                ones. The algorithms guarantee that wherever an unreliable robot
                fails, only the robots whose state spaces contain the failed
                state are blocked. Theoretical analysis shows that the proposed
                algorithms are practically operative. Simulations with seven
                robots are carried out and the results show the effectiveness of
                our algorithms.},
}

@article{2019:ACMCS:Rizk:CooperativeHeterogeneousMultiRobotSystems,
    author = {Rizk, Yara and Awad, Mariette and Tunstel, Edward W.},
    title = {Cooperative Heterogeneous Multi-Robot Systems: A Survey},
    year = {2019},
    issue_date = {March 2020},
    publisher = {Association for Computing Machinery},
    address = {New York, NY, USA},
    volume = {52},
    number = {2},
    issn = {0360-0300},
    url = {https://doi.org/10.1145/3303848},
    doi = {10.1145/3303848},
    abstract = {The emergence of the Internet of things and the widespread
                deployment of diverse computing systems have led to the formation
                of heterogeneous multi-agent systems (MAS) to complete a variety
                of tasks. Motivated to highlight the state of the art on existing
                MAS while identifying their limitations, remaining challenges,
                and possible future directions, we survey recent contributions to
                the field. We focus on robot agents and emphasize the challenges
                of MAS sub-fields including task decomposition, coalition
                formation, task allocation, perception, and multi-agent planning
                and control. While some components have seen more advancements
                than others, more research is required before effective
                autonomous MAS can be deployed in real smart city settings that
                are less restrictive than the assumed validation environments of
                MAS. Specifically, more autonomous end-to-end solutions need to
                be experimentally tested and developed while incorporating
                natural language ontology and dictionaries to automate complex
                task decomposition and leveraging big data advancements to
                improve perception algorithms for robotics.},
    journal = {ACM Comput. Surv.},
    month = {apr},
    articleno = {29},
    numpages = {31},
    keywords = {task decomposition, task allocation, perception, heterogeneous
                agents, decision-making models, cooperation, coalition formation,
                Multi-robot systems},
}

@inproceedings{2014:ACC:Twu:HeterogeneityMultiAgentSystems,
    author = {Twu, Philip and Mostofi, Yasamin and Egerstedt, Magnus},
    booktitle = {2014 American Control Conference},
    title = {A measure of heterogeneity in multi-agent systems},
    year = {2014},
    volume = {},
    number = {},
    pages = {3972-3977},
    keywords = {Entropy;Sociology;Statistics;Multi-agent systems;Complexity
                theory;Measurement;Indexes;Networked control systems;Cooperative
                control},
    doi = {10.1109/ACC.2014.6858632},
}

@article{2000:Stone:Veloso:MultiagentSystems,
    author = {Stone, Peter and Veloso, Manuela},
    title = {Multiagent Systems: A Survey from a Machine Learning Perspective},
    journal = {Autonomous Robots},
    year = {2000},
    month = {Jun},
    day = {01},
    volume = {8},
    number = {3},
    pages = {345-383},
    abstract = {Distributed Artificial Intelligence (DAI) has existed as a
                subfield of AI for less than two decades. DAI is concerned with
                systems that consist of multiple independent entities that
                interact in a domain. Traditionally, DAI has been divided into
                two sub-disciplines: Distributed Problem Solving (DPS) focuses on
                the information management aspects of systems with several
                components working together towards a common goal; Multiagent
                Systems (MAS) deals with behavior management in collections of
                several independent entities, or agents. This survey of MAS is
                intended to serve as an introduction to the field and as an
                organizational framework. A series of general multiagent
                scenarios are presented. For each scenario, the issues that arise
                are described along with a sampling of the techniques that exist
                to deal with them. The presented techniques are not exhaustive,
                but they highlight how multiagent systems can be and have been
                used to build complex systems. When options exist, the techniques
                presented are biased towards machine learning approaches.
                Additional opportunities for applying machine learning to MAS are
                highlighted and robotic soccer is presented as an appropriate
                test bed for MAS. This survey does not focus exclusively on
                robotic systems. However, we believe that much of the prior
                research in non-robotic MAS is relevant to robotic MAS, and we
                explicitly discuss several robotic MAS, including all of those
                presented in this issue.},
    issn = {1573-7527},
    doi = {10.1023/A:1008942012299},
    url = {https://doi.org/10.1023/A:1008942012299},
}

@misc{2023:cs.RO:Bettini:HeterogeneousMultiRobotRL,
    title = {Heterogeneous Multi-Robot Reinforcement Learning},
    author = {Matteo Bettini and Ajay Shankar and Amanda Prorok},
    year = {2023},
    eprint = {2301.07137},
    archivePrefix = {arXiv},
    primaryClass = {cs.RO},
}

@article{2004:SMCB:Farinelli:MultirobotSystems,
    author = {Farinelli, A. and Iocchi, L. and Nardi, D.},
    journal = {IEEE Transactions on Systems, Man, and Cybernetics, Part B
               (Cybernetics)},
    title = {Multirobot systems: a classification focused on coordination},
    year = {2004},
    volume = {34},
    number = {5},
    pages = {2015-2028},
    keywords = {Multirobot systems;Robot kinematics;Robot sensing
                systems;Intelligent robots;Hardware;Taxonomy;Sensor phenomena and
                characterization;Sensor systems;Switches;Reliability engineering},
    doi = {10.1109/TSMCB.2004.832155},
}

@article{2012:MS:Bruzzone:LocomotionSystems,
    author = {Bruzzone, L. and Quaglia, G.},
    title = {Review article: locomotion systems for ground mobile robots in
             unstructured environments},
    journal = {Mechanical Sciences},
    volume = {3},
    year = {2012},
    number = {2},
    pages = {49--62},
    url = {https://ms.copernicus.org/articles/3/49/2012/},
    doi = {10.5194/ms-3-49-2012},
}

@article{2000:Murphy:DisasterRobotics,
    author = {Murphy, Robin R.},
    journal = {IEEE Robotics \& Automation Magazine},
    title = {Trial by fire [rescue robots]},
    year = {2004},
    volume = {11},
    number = {3},
    pages = {50-61},
    keywords = {Robot kinematics;Robot sensing systems;Orbital robotics;Robotics
                and automation;Fires;Space technology;Mobile robots;Sensor
                systems;Communication system control;Control systems},
    doi = {10.1109/MRA.2004.1337826},
}

@article{2010:Katz:HowRobotsSucceedUnstructuredEnvironments,
    author = {Katz, Dov and Kenney, Jacqueline and Brock, Oliver},
    year = {2010},
    month = {12},
    pages = {},
    title = {How Can Robots Succeed in Unstructured Environments?},
    publisher = {Citeseer},
    journal = {Citeseer},
}

@article{2023:AppliedSciences:Wijayathunga:ChallengesSolutionsAutonomousGroundRobot,
    author = {Wijayathunga, Liyana and Rassau, Alexander and Chai, Douglas},
    title = {Challenges and Solutions for Autonomous Ground Robot Scene
             Understanding and Navigation in Unstructured Outdoor Environments: A
             Review},
    journal = {Applied Sciences},
    volume = {13},
    year = {2023},
    number = {17},
    article-number = {9877},
    url = {https://www.mdpi.com/2076-3417/13/17/9877},
    issn = {2076-3417},
    abstract = {The capabilities of autonomous mobile robotic systems have been
                steadily improving due to recent advancements in computer science
                , engineering, and related disciplines such as cognitive science.
                In controlled environments, robots have achieved relatively high
                levels of autonomy. In more unstructured environments, however,
                the development of fully autonomous mobile robots remains
                challenging due to the complexity of understanding these
                environments. Many autonomous mobile robots use classical,
                learning-based or hybrid approaches for navigation. More recent
                learning-based methods may replace the complete navigation
                pipeline or selected stages of the classical approach. For
                effective deployment, autonomous robots must understand their
                external environments at a sophisticated level according to their
                intended applications. Therefore, in addition to robot perception
                , scene analysis and higher-level scene understanding (e.g.,
                traversable/non-traversable, rough or smooth terrain, etc.) are
                required for autonomous robot navigation in unstructured outdoor
                environments. This paper provides a comprehensive review and
                critical analysis of these methods in the context of their
                applications to the problems of robot perception and scene
                understanding in unstructured environments and the related
                problems of localisation, environment mapping and path planning.
                State-of-the-art sensor fusion methods and multimodal scene
                understanding approaches are also discussed and evaluated within
                this context. The paper concludes with an in-depth discussion
                regarding the current state of the autonomous ground robot
                navigation challenge in unstructured outdoor environments and the
                most promising future research directions to overcome these
                challenges.},
    doi = {10.3390/app13179877},
}

@article{2004:Gerkey:Matarić:TaskAllocationIJRR,
    author = {Brian P. Gerkey and Maja J. Matarić},
    title = {A Formal Analysis and Taxonomy of Task Allocation in Multi-Robot
             Systems},
    journal = {The International Journal of Robotics Research},
    volume = {23},
    number = {9},
    pages = {939-954},
    year = {2004},
    doi = {10.1177/0278364904045564},
    URL = { https://doi.org/10.1177/0278364904045564 },
    eprint = { https://doi.org/10.1177/0278364904045564 },
    abstract = { Despite more than a decade of experimental work in multi-robot
                systems, important theoretical aspects of multi-robot
                coordination mechanisms have, to date, been largely untreated. To
                address this issue, we focus on the problem of multi-robot task
                allocation (MRTA). Most work on MRTA has been ad hoc and
                empirical, with many coordination architectures having been
                proposed and validated in a proof-of-concept fashion, but
                infrequently analyzed. With the goal of bringing objective
                grounding to this important area of research, we present a formal
                study of MRTA problems. A domain-independent taxonomy of MRTA
                problems is given, and it is shown how many such problems can be
                viewed as instances of other, well-studied, optimization
                problems. We demonstrate how relevant theory from operations
                research and combinatorial optimization can be used for analysis
                and greater understanding of existing approaches to task
                allocation, and to show how the same theory can be used in the
                synthesis of new approaches. },
}

@inproceedings{2012:ICIIS:Gautam:MultiRobotSystems,
    author = {Gautam, Avinash and Mohan, Sudeept},
    booktitle = {2012 IEEE 7th International Conference on Industrial and
                 Information Systems (ICIIS)},
    title = {A review of research in multi-robot systems},
    year = {2012},
    volume = {},
    number = {},
    pages = {1-5},
    keywords = {Robot kinematics;Robot sensing systems;Computer
                architecture;Multirobot systems;Mobile robots;Conferences;Multi
                Robot Systems;Coordination and Control;Communication;Localization
                and Mapping;Architecture of Multi-Robotic Systems},
    doi = {10.1109/ICIInfS.2012.6304778},
}

@inproceedings{2015:CCAA:Doriya:MultiRobotCommunicationCoordination,
    author = {Doriya, Rajesh and Mishra, Siddharth and Gupta, Swati},
    booktitle = {International Conference on Computing, Communication \&
                 Automation},
    title = {A brief survey and analysis of multi-robot communication and
             coordination},
    year = {2015},
    volume = {},
    number = {},
    pages = {1014-1021},
    keywords = {Robot kinematics;Routing;Routing protocols;Robot sensing
                systems;Cloud computing;Collision avoidance;Multi-robot
                communication;Multi-robot coordination;Cloud
                Computing;coordination and communication;swarm robotics;PSO;Cloud
                Robotics},
    doi = {10.1109/CCAA.2015.7148524},
}

@article{2013:AR:Portugal:MultiRobotPatrollingAlgorithms,
    author = {David Portugal and Rui P. Rocha},
    title = {Multi-robot patrolling algorithms: examining performance and
             scalability},
    journal = {Advanced Robotics},
    volume = {27},
    number = {5},
    pages = {325--336},
    year = {2013},
    publisher = {Taylor \& Francis},
    doi = {10.1080/01691864.2013.763722},
    url = {https://doi.org/10.1080/01691864.2013.763722},
    eprint = {https://doi.org/10.1080/01691864.2013.763722},
    abstract = { In this paper the problem of patrolling an environment with a
                dynamic team of robots is targeted. Lately, the interest of the
                research community has been focused in the development of patrol
                strategies; however there is a deficit of studies comparing such
                strategies, namely in terms of their performance and team
                scalability in different environments. For this reason, an
                evaluation of five representative patrol approaches is presented
                in this article. Aiming to analyze the performance, ability to
                scale and the behavior resulting from interactions between
                teammates, extensive realistic simulation using ROS together with
                Stage was conducted. The metric used to compare the performance
                is the average idleness of the topological environment (i.e.
                graph), that represents the area to patrol. The results presented
                help to identify which strategies enable enhanced team
                scalability and which are the most suitable approaches given any
                environment, supporting future research directions in the field.
                },
}

@inproceedings{2003:ICRA:Sweeney:ScalabilitySchedulabilityMultiRobotSystems,
    author = {Sweeney, J.D. and Huan Li and Grupen, R.A. and Ramamritham, K.},
    booktitle = {2003 IEEE International Conference on Robotics and Automation
                 (Cat. No.03CH37422)},
    title = {Scalability and schedulability in large, coordinated, distributed
             robot systems},
    year = {2003},
    volume = {3},
    number = {},
    pages = {4074-4079 vol.3},
    keywords = {Scalability;Robot kinematics;Communication system
                control;Robustness;Message passing;Communication networks;Process
                control;Distributed control;Scheduling algorithm;Algorithm design
                and analysis},
    doi = {10.1109/ROBOT.2003.1242223},
}

@article{2017:IEEE:Zhou:CollisionDeadlockAvoidanceMultiRobotSystems,
    author = {Zhou, Yuan and Hu, Hesuan and Liu, Yang and Ding, Zuohua},
    journal = {IEEE Transactions on Systems, Man, and Cybernetics: Systems},
    title = {Collision and Deadlock Avoidance in Multirobot Systems: A
             Distributed Approach},
    year = {2017},
    volume = {47},
    number = {7},
    pages = {1712-1726},
    keywords = {Robots;Collision avoidance;System recovery;Multi-robot
                systems;Planning;Real-time systems;Distributed
                algorithms;Collision and deadlock avoidance;discrete event
                systems;distributed algorithm;maximally permissive;motion
                control;multirobot systems},
    doi = {10.1109/TSMC.2017.2670643},
}

@article{2015:Badoni:RoboticsController,
    author = {Prashant Badoni},
    journal = {{International Journal of Engineering Research \& Technology
               (IJERT)}},
    title = {{Robotics Controller: A Literature Survey}},
    year = {2015},
    month = {October},
    volume = {4},
    number = {10},
    issn = {2278-0181},
}

@article{2021:Hernando:Alonso:BehaviorBasedControlArchitecture,
    author = {Hernando, Miguel and Alonso, Mercedes and Prados, Carlos and
              Gambao, Ernesto},
    title = {Behavior-Based Control Architecture for Legged-and-Climber Robots},
    journal = {Applied Sciences},
    volume = {11},
    year = {2021},
    number = {20},
    article-number = {9547},
    url = {https://www.mdpi.com/2076-3417/11/20/9547},
    issn = {2076-3417},
    abstract = {In this paper, we present a fully original control architecture
                for legged-and-climber robots that is level-based, hierarchical,
                and centralized. The architecture gives the robots the ability to
                perform self-reconfiguration after unforeseen leg failures,
                because it can control this kind of robot with different numbers
                of legs. The results show the capability of performing movements
                in any direction and inclination planes. The components and
                functionalities of the developed control architecture for these
                robots are described, and, the architecture’s performance is
                tested on the ROMHEX robot.},
    doi = {10.3390/app11209547},
}

@article{2023:Roszkowska:Janiec:DEDS,
    author = {Elzbieta Roszkowska and Piotr Makowski-Czerski and Lukasz Janiec},
    title = {Multi-level control for multiple mobile robot systems},
    journal = {{Discrete Event Dynamic Systems}},
    year = {2023},
    month = {Dec},
    day = {01},
    volume = {33},
    number = {4},
    pages = {425-453},
    abstract = {This paper contributes with a multi-level, hierarchical control
                system for a fleet of mobile robots sharing a common 2D motion
                space. The system consists of three levels, with the top level
                being a supervisor based on a discrete representation of the
                Multiple Mobile Robot System (MMRS), in which robot motion
                processes are seen as sequences of stages. The supervisor
                controls centrally the changes of their stages by robots,
                ensuring their collision-, and deadlock-free concurrent movement.
                The intermediate control level supervises locally the execution
                of robot motion on individual stages in a manner consistent with
                the decisions of the top level. The lowest level, robot control,
                is responsible for motion execution as determined by the local
                supervisor. We capitalize on some earlier results concerning the
                supervisory control of MMRS and propose a common framework for
                three supervisory control models. Then we propose relevant
                solutions for the local supervisors, in particular, a DES-based
                robot-motion-mode control and application of the Artificial
                Potential Field model for ensuring collision-free motion of two
                robots sharing a space sector. Next we assume simple robot
                control and subject the system to simulation experiments aimed at
                comparing the impact of the different solutions on the
                performance of MMRS.},
    issn = {1573-7594},
    doi = {10.1007/s10626-023-00383-x},
    url = {https://doi.org/10.1007/s10626-023-00383-x},
}

@article{2021:Roszkowska:Jakubiak:ControlSynthesis,
    author = {Elzbieta Roszkowska and Janusz Jakubiak},
    title = {Control synthesis for multiple mobile robot systems},
    journal = {Transactions of the Institute of Measurement and Control},
    volume = {0},
    number = {0},
    pages = {01423312211047061},
    year = {2021},
    doi = {10.1177/01423312211047061},
    url = {https://doi.org/10.1177/01423312211047061},
    eprint = {https://doi.org/10.1177/01423312211047061},
    abstract = {This work continues our study on the control synthesis for
                multiple mobile robot systems (MMRS). We assume a hybrid approach
                that comprises the supervisory control level, based on a discrete
                event model of MMRS, and the robot control level, based on a
                continuous time model of the robot motion. Our objective is to
                further develop the control concept towards its implementation in
                a real-world application – a testbed for a fleet of six
                laboratory robots. In the first part of the paper, we develop a
                methodology of the supervisory control synthesis, that employs
                the Petri net formalism and formally ensures the required logics
                of MMRS operation, as well as propose a relevant architecture of
                the supervisor. The second part is focused on the low-level robot
                control and control procedures enabling modification of the robot
                motion according to the supervisor’s decisions. A simulation case
                is presented that illustrates the operation of the system.},
}

@inbook{2010:Cassandras:DiscEventSystems,
    author = {Cassandras, Christos G and Lafortune, St{\'e}phane},
    year = {2010},
    month = {01},
    pages = {800},
    title = {Introduction to Discrete Event Systems},
    isbn = {1441941193},
    journal = {Introduction to Discrete Event Systems},
    doi = {10.1007/978-0-387-68612-7},
}

@inproceedings{2019:ETFA:Indri:GlobalPathPlanning,
    author = {Indri, Marina and Possieri, Corrado and Sibona, Fiorella and Cheng
              , Pangcheng David Cen and Hoang, Vinh Duong},
    booktitle = {2019 24th IEEE International Conference on Emerging
                 Technologies and Factory Automation (ETFA)},
    title = {Supervised global path planning for mobile robots with obstacle
             avoidance},
    year = {2019},
    volume = {},
    number = {},
    pages = {601-608},
    keywords = {Heuristic algorithms;Planning;Path planning;Collision
                avoidance;Mobile robots;Navigation;Mobile robots;path
                planning;obstacle avoidance},
    doi = {10.1109/ETFA.2019.8868950},
}

@inbook{2015:Khamis:TaskAllocationReviewStateofArt,
    author = {Khamis, Alaa and Hussein, Ahmed and Elmogy, Ahmed},
    editor = {Koub{\^a}a, Anis and Mart{\'i}nez-de Dios, J.Ramiro},
    title = {Multi-robot Task Allocation: A Review of the State-of-the-Art},
    bookTitle = {Cooperative Robots and Sensor Networks 2015},
    year = {2015},
    publisher = {Springer International Publishing},
    address = {Cham},
    pages = {31--51},
    abstract = {Multi-robot systems (MRS) are a group of robots that are
                designed aiming to perform some collective behavior. By this
                collective behavior, some goals that are impossible for a single
                robot to achieve become feasible and attainable. There are
                several foreseen benefits of MRS compared to single robot systems
                such as the increased ability to resolve task complexity,
                increasing performance, reliability and simplicity in design.
                These benefits have attracted many researchers from academia and
                industry to investigate how to design and develop robust
                versatile MRS by solving a number of challenging problems such as
                complex task allocation, group formation, cooperative object
                detection and tracking, communication relaying and
                self-organization to name just a few. One of the most challenging
                problems of MRS is how to optimally assign a set of robots to a
                set of tasks in such a way that optimizes the overall system
                performance subject to a set of constraints. This problem is
                known as Multi-robot Task Allocation (MRTA) problem. MRTA is a
                complex problem especially when it comes to heterogeneous
                unreliable robots equipped with different capabilities that are
                required to perform various tasks with different requirements and
                constraints in an optimal way. This chapter provides a
                comprehensive review on challenging aspects of MRTA problem,
                recent approaches to tackle this problem and the future
                directions.},
    isbn = {978-3-319-18299-5},
    doi = {10.1007/978-3-319-18299-5_2},
    url = {https://doi.org/10.1007/978-3-319-18299-5_2},
}

@article{2018:Razik:DecisionMakingSurvery,
    author = {Rizk, Yara and Awad, Mariette and Tunstel, Edward W.},
    journal = {IEEE Transactions on Cognitive and Developmental Systems},
    title = {Decision Making in Multiagent Systems: A Survey},
    year = {2018},
    volume = {10},
    number = {3},
    pages = {514-529},
    abstract = {Intelligent transport systems, efficient electric grids, and
                sensor networks for data collection and analysis are some
                examples of the multiagent systems (MAS) that cooperate to
                achieve common goals. Decision making is an integral part of
                intelligent agents and MAS that will allow such systems to
                accomplish increasingly complex tasks. In this survey, we
                investigate state-of-the-art work within the past five years on
                cooperative MAS decision making models, including Markov decision
                processes, game theory, swarm intelligence, and graph theoretic
                models. We survey algorithms that result in optimal and
                suboptimal policies such as reinforcement learning, dynamic
                programming, evolutionary computing, and neural networks. We also
                discuss the application of these models to robotics, wireless
                sensor networks, cognitive radio networks, intelligent transport
                systems, and smart electric grids. In addition, we define key
                terms in the area and discuss remaining challenges that include
                incorporating big data advancements to decision making,
                developing autonomous, scalable and computationally efficient
                algorithms, tackling more complex tasks, and developing
                standardized evaluation metrics. While recent surveys have been
                published on this topic, we present a broader discussion of
                related models and applications.},
    keywords = {Decision making;Robot sensing systems;Task analysis;Robot
                kinematics;Particle swarm optimization;Multi-agent
                systems;Cooperation;decision making models;game theory;Markov
                decision process (MDP);multiagent systems (MASs);swarm
                intelligence},
    doi = {10.1109/TCDS.2018.2840971},
    ISSN = {2379-8939},
    month = {Sep.},
}

@book{1992:Coulter:PurePursuitPathTracking,
    title = {Implementation of the pure pursuit path tracking algorithm},
    author = {Coulter, R Craig and others},
    year = {1992},
    publisher = {Carnegie Mellon University, The Robotics Institute},
}

@article{2006:Thrun:Stanley,
    author = {Thrun, Sebastian and Montemerlo, Mike and Dahlkamp, Hendrik and
              Stavens, David and Aron, Andrei and Diebel, James and Fong, Philip
              and Gale, John and Halpenny, Morgan and Hoffmann, Gabriel and Lau,
              Kenny and Oakley, Celia and Palatucci, Mark and Pratt, Vaughan and
              Stang, Pascal and Strohband, Sven and Dupont, Cedric and Jendrossek
              , Lars-Erik and Koelen, Christian and Markey, Charles and Rummel,
              Carlo and van Niekerk, Joe and Jensen, Eric and Alessandrini,
              Philippe and Bradski, Gary and Davies, Bob and Ettinger, Scott and
              Kaehler, Adrian and Nefian, Ara and Mahoney, Pamela},
    title = {Stanley: The robot that won the DARPA Grand Challenge},
    journal = {Journal of Field Robotics},
    volume = {23},
    number = {9},
    pages = {661-692},
    doi = {https://doi.org/10.1002/rob.20147},
    url = {https://onlinelibrary.wiley.com/doi/abs/10.1002/rob.20147},
    eprint = {https://onlinelibrary.wiley.com/doi/pdf/10.1002/rob.20147},
    abstract = {Abstract This article describes the robot Stanley, which won the
                2005 DARPA Grand Challenge. Stanley was developed for high-speed
                desert driving without manual intervention. The robot's software
                system relied predominately on state-of-the-art artificial
                intelligence technologies, such as machine learning and
                probabilistic reasoning. This paper describes the major
                components of this architecture, and discusses the results of the
                Grand Challenge race. © 2006 Wiley Periodicals, Inc.},
    year = {2006},
}

@article{2003:Qin:Badgwell:SurveyMPC,
    title = {A survey of industrial model predictive control technology},
    journal = {Control Engineering Practice},
    volume = {11},
    number = {7},
    pages = {733-764},
    year = {2003},
    issn = {0967-0661},
    doi = {https://doi.org/10.1016/S0967-0661(02)00186-7},
    url = {https://www.sciencedirect.com/science/article/pii/S0967066102001867},
    author = {S.Joe Qin and Thomas A. Badgwell},
    abstract = {This paper provides an overview of commercially available model
                predictive control (MPC) technology, both linear and nonlinear,
                based primarily on data provided by MPC vendors. A brief history
                of industrial MPC technology is presented first, followed by
                results of our vendor survey of MPC control and identification
                technology. A general MPC control algorithm is presented, and
                approaches taken by each vendor for the different aspects of the
                calculation are described. Identification technology is reviewed
                to determine similarities and differences between the various
                approaches. MPC applications performed by each vendor are
                summarized by application area. The final section presents a
                vision of the next generation of MPC technology, with an emphasis
                on potential business and research opportunities.},
}

@inproceedings{1992:Utkin:SlidingModesControlOptimization,
    title = {Sliding Modes in Control and Optimization},
    author = {Vadim I. Utkin},
    booktitle = {Communications and Control Engineering Series},
    year = {1992},
    url = {https://api.semanticscholar.org/CorpusID:118148362},
}

@inproceedings{2000:RoboCup:MotionControlDynamicMultiRobotEnvironments,
    author = {Bowling, Michael and Veloso, Manuela},
    editor = {Veloso, Manuela and Pagello, Enrico and Kitano, Hiroaki},
    title = {Motion Control in Dynamic Multi-Robot Environments},
    booktitle = {RoboCup-99: Robot Soccer World Cup III},
    year = {2000},
    publisher = {Springer Berlin Heidelberg},
    address = {Berlin, Heidelberg},
    pages = {222--230},
    abstract = {All mobile robots require some form of motion control in order
                to exhibit interesting autonomous behaviors. This is even more
                essential for multi-robot, highly-dynamic environments, such as
                robotic soccer. This paper presents the motion control system
                used by CMUnited-98, the small-size league champion at
                RoboCup-98. The team consists of five robots that aim at
                achieving specific goals while navigating in a limited space
                shared with the five other opponent robots. We introduce our
                motion control algorithm, which allows a general
                differential-driven robot to accurately reach a target point with
                a desired orientation in an environment with multiple moving
                obstacles. We describe how the features of our motion controller
                help to build interesting and robust behaviors. We also briefly
                compare our system to other motion control techniques and include
                descriptions and illustrations of the performance of our
                fully-implemented motion control algorithm.},
    isbn = {978-3-540-45327-7},
}

@article{2022:ROS2:Macenski:ScienceRobotics,
    author = {Steven Macenski and Tully Foote and Brian Gerkey and Chris
              Lalancette and William Woodall},
    title = {{Robot Operating System 2: Design, architecture, and uses in the
             wild}},
    journal = {Science Robotics},
    volume = {7},
    number = {66},
    pages = {eabm6074},
    year = {2022},
    doi = {10.1126/scirobotics.abm6074},
    url = {https://www.science.org/doi/abs/10.1126/scirobotics.abm6074},
}

@inproceedings{2020:Macenski:Navigation2,
    author = {Macenski, Steve and Martín, Francisco and White, Ruffin and
              Clavero, Jonatan Ginés},
    booktitle = {2020 IEEE/RSJ International Conference on Intelligent Robots
                 and Systems (IROS)},
    title = {{The Marathon 2: A Navigation System}},
    year = {2020},
    volume = {},
    number = {},
    pages = {2718-2725},
    keywords = {Navigation;Service robots;Heuristic
                algorithms;Sensors;Safety;Task analysis;Testing;Service
                Robots;Software;Middleware and Programming
                Environments;Behaviour-Based Systems},
    doi = {10.1109/IROS45743.2020.9341207},
}

@article{2023:Macenski:Survey,
    title = {From the desks of ROS maintainers: A survey of modern \& capable
             mobile robotics algorithms in the robot operating system 2},
    journal = {Robotics and Autonomous Systems},
    volume = {168},
    pages = {104493},
    year = {2023},
    issn = {0921-8890},
    doi = {https://doi.org/10.1016/j.robot.2023.104493},
    url = {https://www.sciencedirect.com/science/article/pii/S092188902300132X},
    author = {Steve Macenski and Tom Moore and David V. Lu and Alexey Merzlyakov
              and Michael Ferguson},
    keywords = {Navigation, Robot operating system, Nav2, Mobile robotics,
                Planning, Costmap, ROS, Control, Localization, Perception, SLAM,
                State estimation},
    abstract = {The Robot Operating System 2 (ROS 2) is rapidly impacting the
                intelligent machines sector — on space missions, large
                agriculture equipment, multi-robot fleets, and more. Its success
                derives from its focused design and improved capabilities
                targeting product-grade and modern robotic systems. Following ROS
                2’s example, the mobile robotics ecosystem has been fully
                redesigned based on the transformed needs of modern robots and is
                experiencing active development not seen since its inception.
                This paper comes from the desks of the key ROS Navigation
                maintainers to review and analyze the state of the art of
                robotics navigation in ROS 2. This includes new systems without
                parallel in ROS 1 or other similar mobile robotics frameworks. We
                discuss current research products and historically robust methods
                that provide differing behaviors and support for most every robot
                type. This survey consists of overviews, comparisons, and expert
                insights organized by the fundamental problems in the field. Some
                of these implementations have yet to be described in literature
                and many have not been benchmarked relative to others. We end by
                providing a glimpse into the future of the ROS 2 mobile robotics
                ecosystem.},
}


@article{2023:Macenski:RegulatedPurePursuit,
    author = {Macenski, Steve and Singh, Shrijit and Mart{\'i}n, Francisco and
              Gin{\'e}s, Jonatan},
    title = {Regulated pure pursuit for robot path tracking},
    journal = {Autonomous Robots},
    year = {2023},
    month = {Aug},
    day = {01},
    volume = {47},
    number = {6},
    pages = {685-694},
    abstract = {The accelerated deployment of service robots have spawned a
                number of algorithm variations to better handle real-world
                conditions. Many local trajectory planning techniques have been
                deployed on practical robot systems successfully. While most
                formulations of Dynamic Window Approach and Model Predictive
                Control can progress along paths and optimize for additional
                criteria, the use of pure path tracking algorithms is still
                commonplace. Decades later, Pure Pursuit and its variants
                continues to be one of the most commonly utilized classes of
                local trajectory planners. However, few Pure Pursuit variants
                have been proposed with schema for variable linear
                velocities---they either assume a constant velocity or fails to
                address the point at all. This paper presents a variant of Pure
                Pursuit designed with additional heuristics to regulate linear
                velocities, built atop the existing Adaptive variant. The
                Regulated Pure Pursuit algorithm makes incremental improvements
                on state of the art by adjusting linear velocities with
                particular focus on safety in constrained and partially
                observable spaces commonly negotiated by deployed robots. We
                present experiments with the Regulated Pure Pursuit algorithm on
                industrial-grade service robots. We also provide a high-quality
                reference implementation that is freely included ROS 2 Nav2
                framework at https://github.com/ros-planning/navigation2for fast
                evaluation.},
    issn = {1573-7527},
    doi = {10.1007/s10514-023-10097-6},
    url = {https://doi.org/10.1007/s10514-023-10097-6},
}



@misc{2012:TurtleBot2,
    author = {TurtleBot},
    title = {TurtleBot 2},
    year = {2012},
    howpublished = {\url{https://www.turtlebot.com/turtlebot2/}},
    note = {[accessed 2024-06-01]},
}

@misc{2011:TurtleBot:Specification,
    author = {Melonee Wise and Tully Foote},
    title = {Specification for TurtleBot Compatible Platforms},
    year = {2011},
    month = {Dec},
    howpublished = {\url{https://www.ros.org/reps/rep-0119}},
    note = {[accessed 2024-06-01]},
}

@inproceedings{2009:ROS:Quigley:RobotOperatingSystem,
    title = {ROS: an open-source Robot Operating System},
    author = {Quigley, Morgan and Conley, Ken and Gerkey, Brian and Faust, Josh
              and Foote, Tully and Leibs, Jeremy and Wheeler, Rob and Ng, Andrew
              Y and others},
    booktitle = {ICRA workshop on open source software},
    volume = {3},
    pages = {5},
    year = {2009},
    organization = {Kobe, Japan},
}

@book{2011:Siegwart:IntroductionAutonomousMobileRobots,
    title = {Introduction to autonomous mobile robots},
    author = {Siegwart, Roland and Nourbakhsh, Illah Reza and Scaramuzza, Davide
              },
    year = {2011},
    publisher = {MIT press},
}

@book{2005:Choset:Principles,
    title = {Principles of robot motion: theory, algorithms, and implementations
             },
    author = {Choset, Howie and Lynch, Kevin M and Hutchinson, Seth and Kantor,
              George A and Burgard, Wolfram},
    year = {2005},
    publisher = {MIT press},
}

@inproceedings{2001:Dijkstra:ConcurrentProgrammingControl,
    title = {Solution of a problem in concurrent programming control},
    author = {Dijkstra, Edsger W},
    booktitle = {Pioneers and Their Contributions to Software Engineering: sd\&m
                 Conference on Software Pioneers, Bonn, June 28/29, 2001,
                 Original Historic Contributions},
    pages = {289--294},
    year = {2001},
    organization = {Springer},
}
